# CancellationToken

interface CancellationToken

Token that propagates notification that an operation should be cancelled. See org.gradle.tooling.CancellationTokenSource for details.

All implementations of this interface are required to be thread safe.

#### Since

2.1

## Functions

isCancellationRequested
Link copied to clipboard
abstract fun isCancellationRequested(): Boolean
Gets whether cancellation has been requested for this token.